KDE 4.7 PyKDE API Reference

- KDE's Python API

# ViewportParams Class Reference

`from PyKDE4.marble import *`

Namespace: Marble

## Detailed Description

A public class that controls what is visible in the viewport of a Marble map.

## Methods
| __init__ (self)
| __init__ (self, Marble.ViewportParams a0)
float | angularResolution (self)
| centerCoordinates (self, float centerLon, float centerLat)
float | centerLatitude (self)
float | centerLongitude (self)
| centerOn (self, float lon, float lat)
Marble.GeoDataCoordinates | focusPoint (self)
bool | geoCoordinates (self, int x, int y, float lon, float lat, Marble.GeoDataCoordinates.Unit unit=Marble.GeoDataCoordinates.Degree)
bool | globeCoversViewport (self)
int | height (self)
Marble.GeoDataLatLonAltBox | latLonAltBox (self, QRect screenRect)
bool | mapCoversViewport (self)
QRegion | mapRegion (self)
QPainterPath | mapShape (self)
Marble.Quaternion | planetAxis (self)
int | polarity (self)
Marble.Projection | projection (self)
int | radius (self)
| resetFocusPoint (self)
bool | resolves (self, Marble.GeoDataLatLonBox latLonBox)
bool | resolves (self, Marble.GeoDataCoordinates coord1, Marble.GeoDataCoordinates coord2)
bool | resolves (self, Marble.GeoDataLatLonAltBox latLonAltBox)
bool | screenCoordinates (self, float lon, float lat, float x, float y)
bool | screenCoordinates (self, Marble.GeoDataCoordinates geopoint, float x, float y, bool globeHidesPoint)
bool | screenCoordinates (self, Marble.GeoDataCoordinates geopoint, QPointF screenpoint)
bool | screenCoordinates (self, Marble.GeoDataCoordinates geopoint, float x, float y)
bool | screenCoordinates (self, Marble.GeoDataCoordinates coordinates, float x, float y, int pointRepeatNum, bool globeHidesPoint)
bool | screenCoordinates (self, Marble.GeoDataCoordinates coordinates, float x, float y, int pointRepeatNum, QSizeF size, bool globeHidesPoint)
bool | screenCoordinates (self, Marble.GeoDataLineString lineString, QVector polygons)
| setFocusPoint (self, Marble.GeoDataCoordinates focusPoint)
| setHeight (self, int newHeight)
| setProjection (self, Marble.Projection newProjection)
| setRadius (self, int newRadius)
| setSize (self, QSize newSize)
| setWidth (self, int newWidth)
QSize | size (self)
Marble.GeoDataLatLonAltBox | viewLatLonAltBox (self)
int | width (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.ViewportParams | a0
| ) |  |  |

float angularResolution | ( |  | self ) |

centerCoordinates | ( | self, |
|  | float | centerLon,
|  | float | centerLat
| ) |  |  |

float centerLatitude | ( |  | self ) |

float centerLongitude | ( |  | self ) |

centerOn | ( | self, |
|  | float | lon,
|  | float | lat
| ) |  |  |

Marble.GeoDataCoordinates focusPoint | ( |  | self ) |

Returns:
  The current point of focus, e.g. the point that is not moved when changing the zoom level. If not set, it defaults to the center point.

See also:
  centerCoordinates setFocusPoint resetFocusPoint

bool geoCoordinates | ( | self, |
|  | int | x,
|  | int | y,
|  | float | lon,
|  | float | lat,
|  | Marble.GeoDataCoordinates.Unit | unit=Marble.GeoDataCoordinates.Degree
| ) |  |  |

Get the earth coordinates corresponding to a pixel in the map.

Parameters:

  | x | the x coordinate of the pixel
  | y | the y coordinate of the pixel
  | lon | the longitude angle is returned through this parameter
  | lat | the latitude angle is returned through this parameter
  | unit | the unit of the angles for lon and lat.

Returns:
  true if the pixel (x, y) is within the globe

false if the pixel (x, y) is outside the globe, i.e. in space.

bool globeCoversViewport | ( |  | self ) |

int height | ( |  | self ) |

Marble.GeoDataLatLonAltBox latLonAltBox | ( | self, |
|  | QRect | screenRect
| ) |  |  |

bool mapCoversViewport | ( |  | self ) |

QRegion mapRegion | ( |  | self ) |

QPainterPath mapShape | ( |  | self ) |

Marble.Quaternion planetAxis | ( |  | self ) |

int polarity | ( |  | self ) |

Marble.Projection projection | ( |  | self ) |

int radius | ( |  | self ) |

resetFocusPoint | ( |  | self ) |

Invalidate any focus point set with setFocusPoint.

See also:
  focusPoint setFocusPoint

bool resolves | ( | self, |
|  | Marble.GeoDataLatLonBox | latLonBox
| ) |  |  |

bool resolves | ( | self, |
|  | Marble.GeoDataCoordinates | coord1,
|  | Marble.GeoDataCoordinates | coord2
| ) |  |  |

bool resolves | ( | self, |
|  | Marble.GeoDataLatLonAltBox | latLonAltBox
| ) |  |  |

bool screenCoordinates | ( | self, |
|  | float | lon,
|  | float | lat,
|  | float | x,
|  | float | y
| ) |  |  |

Get the coordinates of screen points for geographical coordinates in the map.

Parameters:

  | coordinates | the point on earth, including altitude, that we want the coordinates for.
  | x | the x coordinates of the pixels are returned through this parameter
  | y | the y coordinate of the pixel is returned through this parameter
  | pointRepeatNum | the amount of times that a single geographical point gets represented on the map
  | globeHidesPoint | whether the point gets hidden on the far side of the earth

Returns:
  true if the geographical coordinates are visible on the screen

false if the geographical coordinates are not visible on the screen

See also:
  ViewportParams

bool screenCoordinates | ( | self, |
|  | Marble.GeoDataCoordinates | geopoint,
|  | float | x,
|  | float | y,
|  | bool | globeHidesPoint
| ) |  |  |

Get the coordinates of screen points for geographical coordinates in the map.

Parameters:

  | coordinates | the point on earth, including altitude, that we want the coordinates for.
  | x | the x coordinates of the pixels are returned through this parameter
  | y | the y coordinate of the pixel is returned through this parameter
  | pointRepeatNum | the amount of times that a single geographical point gets represented on the map
  | globeHidesPoint | whether the point gets hidden on the far side of the earth

Returns:
  true if the geographical coordinates are visible on the screen

false if the geographical coordinates are not visible on the screen

See also:
  ViewportParams

bool screenCoordinates | ( | self, |
|  | Marble.GeoDataCoordinates | geopoint,
|  | QPointF | screenpoint
| ) |  |  |

Get the coordinates of screen points for geographical coordinates in the map.

Parameters:

  | coordinates | the point on earth, including altitude, that we want the coordinates for.
  | x | the x coordinates of the pixels are returned through this parameter
  | y | the y coordinate of the pixel is returned through this parameter
  | pointRepeatNum | the amount of times that a single geographical point gets represented on the map
  | globeHidesPoint | whether the point gets hidden on the far side of the earth

Returns:
  true if the geographical coordinates are visible on the screen

false if the geographical coordinates are not visible on the screen

See also:
  ViewportParams

bool screenCoordinates | ( | self, |
|  | Marble.GeoDataCoordinates | geopoint,
|  | float | x,
|  | float | y
| ) |  |  |

Get the coordinates of screen points for geographical coordinates in the map.

Parameters:

  | coordinates | the point on earth, including altitude, that we want the coordinates for.
  | x | the x coordinates of the pixels are returned through this parameter
  | y | the y coordinate of the pixel is returned through this parameter
  | pointRepeatNum | the amount of times that a single geographical point gets represented on the map
  | globeHidesPoint | whether the point gets hidden on the far side of the earth

Returns:
  true if the geographical coordinates are visible on the screen

false if the geographical coordinates are not visible on the screen

See also:
  ViewportParams

bool screenCoordinates | ( | self, |
|  | Marble.GeoDataCoordinates | coordinates,
|  | float | x,
|  | float | y,
|  | int | pointRepeatNum,
|  | bool | globeHidesPoint
| ) |  |  |

Get the coordinates of screen points for geographical coordinates in the map.

Parameters:

  | coordinates | the point on earth, including altitude, that we want the coordinates for.
  | x | the x coordinates of the pixels are returned through this parameter
  | y | the y coordinate of the pixel is returned through this parameter
  | pointRepeatNum | the amount of times that a single geographical point gets represented on the map
  | globeHidesPoint | whether the point gets hidden on the far side of the earth

Returns:
  true if the geographical coordinates are visible on the screen

false if the geographical coordinates are not visible on the screen

See also:
  ViewportParams

bool screenCoordinates | ( | self, |
|  | Marble.GeoDataCoordinates | coordinates,
|  | float | x,
|  | float | y,
|  | int | pointRepeatNum,
|  | QSizeF | size,
|  | bool | globeHidesPoint
| ) |  |  |

Get the coordinates of screen points for geographical coordinates in the map.

Parameters:

  | coordinates | the point on earth, including altitude, that we want the coordinates for.
  | x | the x coordinates of the pixels are returned through this parameter
  | y | the y coordinate of the pixel is returned through this parameter
  | pointRepeatNum | the amount of times that a single geographical point gets represented on the map
  | globeHidesPoint | whether the point gets hidden on the far side of the earth

Returns:
  true if the geographical coordinates are visible on the screen

false if the geographical coordinates are not visible on the screen

See also:
  ViewportParams

bool screenCoordinates | ( | self, |
|  | Marble.GeoDataLineString | lineString,
|  | QVector | polygons
| ) |  |  |

Get the coordinates of screen points for geographical coordinates in the map.

Parameters:

  | coordinates | the point on earth, including altitude, that we want the coordinates for.
  | x | the x coordinates of the pixels are returned through this parameter
  | y | the y coordinate of the pixel is returned through this parameter
  | pointRepeatNum | the amount of times that a single geographical point gets represented on the map
  | globeHidesPoint | whether the point gets hidden on the far side of the earth

Returns:
  true if the geographical coordinates are visible on the screen

false if the geographical coordinates are not visible on the screen

See also:
  ViewportParams

setFocusPoint | ( | self, |
|  | Marble.GeoDataCoordinates | focusPoint
| ) |  |  |

Change the point of focus, overridding any previously set focus point.

Parameters:

  | focusPoint | New focus point

See also:
  focusPoint resetFocusPoint

setHeight | ( | self, |
|  | int | newHeight
| ) |  |  |

setProjection | ( | self, |
|  | Marble.Projection | newProjection
| ) |  |  |

setRadius | ( | self, |
|  | int | newRadius
| ) |  |  |

setSize | ( | self, |
|  | QSize | newSize
| ) |  |  |

setWidth | ( | self, |
|  | int | newWidth
| ) |  |  |

QSize size | ( |  | self ) |

Marble.GeoDataLatLonAltBox viewLatLonAltBox | ( |  | self ) |

int width | ( |  | self ) |